/* You can add global styles to this file, and also import other style files */
@font-face {
  font-family: Comfortaa;
  src: url('assets/fonts/Comfortaa/Comfortaa-greek.woff2') format('woff2');
}
@font-face {
  font-family: 'DXIcons';
  src: local("DevExtreme Generic Icons"), local("devextreme_generic_icons"), url(assets/icons/dxicons.woff2) format('woff2'), url(assets/icons/dxicons.woff) format('woff'), url(assets/icons/dxicons.ttf) format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: Comfortaa;
  src: url('assets/fonts/Comfortaa/Comfortaa-latin.woff2') format('woff2');
}

@import "../node_modules/angular-calendar/css/angular-calendar.css";

/* Colors */
:root {
  //--primary: #013e81;
  //--primary: #094771;
  --primary: #1ba9ae;
  --disabled-primary: #0e2637;
  --haeforangePrimary: #fcb502;
  --haefred: #df1326;
  --haefwhite: #f7f7f7;
  --secondary: #f4f3ef;
  --tertiary: #e6e6e6;
  --quaternary: #cfcfca;
  --quinary: #1b1f28;
  --senary: #ffffff;
  --septenary: #eeeeee;
  --octonary: #66615b;
  --success: #4caf50;
  --warning: #f7b733;
  --danger: #dd0330;
  --royal: #0000dc;
  --highlight: #e2e2e2;

  --primaryOrange: #fcb502;
  --primaryRed: #df1326;
  --primaryLighGray: #f7f7f7;
  --primaryDarkGray: #242832;
  --secondaryRed: #ed4e5d;
  --secondaryBlue: #008fff;
  --secondaryCyan: #74dccc;
  --secondaryLightGra: lightgray;
  --highlightSecondary: #f3f2ef;

  --headerNavBackGroundColor: #ee8b2e;
  --mainBlack: #171717;
  //--mainBlue: #094771;
  --mainBlue: #1ba9ae;
  //--mainBlue: #171717;
}

html, body {
  height: 100%;
  font-family: Comfortaa, "Helvetica Neue", sans-serif !important;
}

body {
  margin: 0;
}

a, h1, h2, h3, h4, div, button, label {
  font-family: Comfortaa, DXIcons, "Helvetica Neue", sans-serif !important;
}

.full-page-container {
  width: 100vw;
  height: 100vh;
}

////Standard
//.mat-form-field {
//  .mat-input-element {
//    color: white;
//  }
//
//  .mat-form-field-label {
//    color: white;
//  }
//
//  .mat-form-field-underline {
//    background-color: white;
//  }
//
//  .mat-form-field-ripple {
//    background-color: white;
//  }
//
//  .mat-form-field-required-marker {
//    color: white;
//  }
//}
//
//.mat-form-field-appearance-outline .mat-form-field-outline {
//  color: white;
//}
//
////Focus
//.mat-form-field.mat-focused {
//  .mat-form-field-label {
//    color: white;
//  }
//
//  .mat-form-field-ripple {
//    background-color: white;
//  }
//
//  .mat-form-field-required-marker {
//    color: #ff884d;
//  }
//
//  .mat-input-element {
//    color: white;
//  }
//}
//
//.mat-form-field-appearance-outline.mat-focused .mat-form-field-outline-thick {
//  color: white !important;
//}

//Error
.mat-form-field.mat-form-field-invalid .mat-form-field-appearance-outline.mat-form-field-invalid {
  .mat-input-element {
    color: white;
  }

  .mat-form-field-label {
    color: red;

    .mat-form-field-required-marker {
      color: red;
    }
  }

  .mat-form-field-ripple {
    background-color: red;
  }
}

.info {
  cursor: pointer;
}

.tooltip {
  font-family: Comfortaa, "Helvetica Neue", sans-serif !important;
  color: red;
}

.mat-tooltip.tooltip {
  font-family: Comfortaa, "Helvetica Neue", sans-serif !important;

  font-size: 12px;
}

.notificationCard {
  border-radius: 15px !important;

  .cardHeader {
    padding-top: 15px;
    padding-bottom: 15px;
    text-align: start;
    background-color: var(--mainBlue);
    color: white;
    font-size: 18px;
    border-radius: 15px 15px 0 0 !important;

  }

  .cardContent {
    padding: 15px;
    border-radius: 0 0 15px 15px !important;
    background-color: white;

    label {
      color: var(--mainBlue);
      font-size: 16px;
    }
  }
}


::-webkit-scrollbar {
  //width: 10px;
  //height: 5px !important;
  //border-radius: 2%;

  display: none;
}

/* Track */
::-webkit-scrollbar-track {
  *background: #888;

}

/* Handle */
::-webkit-scrollbar-thumb {
  *background: #888;
  //background: transparent;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  /*background: #555;*/
  *background: #888;
  cursor: pointer;
}

.no-padding-dialog .mat-dialog-container {
  padding: 0;
}

.dialog-header {
  background-color: var(--mainBlue);
  color: white;
  padding: 1rem;
}

.dialog-content {
  color: var(--mainBlue);;
  padding: 1rem;
}

.dialog-buttons {
  padding: 1rem;
  display: flex;
  flex: 1;
  flex-direction: row;
  justify-content: flex-end;
  align-items: flex-end;
  margin-top: 20px;

  button {
    margin: 5px;
  }

  .okButton {
    background-color: var(--mainBlue);
    color: white;
  }
}


.title, .titleM {
  font-family: Comfortaa, "Helvetica Neue", sans-serif !important;
  color: var(--mainBlue);
  font-size: 16px;
  border-bottom: 1px solid lightgray;
  padding-bottom: 1rem;
}

.titleM {
  font-size: 14px;
  border: 0;
  margin: 0;
  padding: 0;
}

.cardHolder {
  width: 100%;
}

.cardContent {
  padding: 0;
  margin: 0;
}

.timepicker {
  header {
    background-color: var(--mainBlue) !important;

    input {
      font-family: Comfortaa, "Helvetica Neue", sans-serif !important;
    }
  }
}


.clock-face {
  color: red !important;
}

.timepicker-button {
  background-color: var(--mainBlue) !important;
  color: white !important;
  margin-right: 1rem;
}

mat-row {
  input {
    cursor: pointer;
    border: 0 !important;
  }
}


.rounded-button {
  border-radius: 30px !important;
  background-color: var(--mainBlue);
  color: white;
}

.cancel-button {
  background-color: var(--haefred);
}


@keyframes spinner {
  to {transform: rotate(360deg);}
}

.spinner:before {
  content: '';
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: -10px;
  border-radius: 50%;
  border: 2px solid #ffffff;
  border-top-color: #000000;
  animation: spinner .8s linear infinite;
}

mat-table {
  width: 100%;

  mat-header-cell {
    text-align: left;
  }

  .image {
    height: 100px;
  }
}

.header {
  display: flex;
  flex: 1;
  flex-direction: column;
  padding-bottom: 1rem;
  border-bottom: 1px solid var(--primary);
  margin-bottom: 25px;
  .header-row {
    display: flex;
    flex: 1;
    flex-direction: row;
    align-items: center;

    .leftSide{
      flex: 0.8;
      font-size: 24px;
    }

    .rightSide {
      flex: 0.2;
      display: flex;
      flex-direction: row;
      justify-content: flex-end;
    }
  }
}

button.mat-flat-button {
  color: white;
  background: var(--primary);
}


@keyframes spinner {
  to {transform: rotate(360deg);}
}

.spinner:before {
  content: '';
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: -10px;
  border-radius: 50%;
  border: 2px solid #ffffff;
  border-top-color: #000000;
  animation: spinner .8s linear infinite;
}

.internal-icons {
  font-size: 1.3em;
}

.p-15 {
  padding: 15px;
}

.p-1r {
  padding: 1rem;
}
